// This file is part of the CardioVascular toolbox
// Copyright (C) 2012 - INRIA - Serge Steer
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
function button=CreateButton(parent,x,y,label,callback)
   button = uicontrol( ...
      "parent"              , parent,...
      "relief"              , "groove",...
      "style"               , "pushbutton",...
      "string"              , label,...
      "units"               , "pixels",...
      "position"            , [x,y,button_w button_h],..
      "fontname"            , "arial",...
      "fontunits"           , "points",...
      "fontsize"            , 12,...
      "fontweight"          , "bold", ...
      "horizontalalignment" , "center", ...
      "visible"             , "on", ...
      "callback"            , callback);
endfunction

