// This file is part of the CardioVascular toolbox
// Copyright (C) 2012 - INRIA - Serge Steer
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
function Edit=CreateEdit(parent,x,y,label,tag)
  Y=y-label_h;
  Label=uicontrol( ...
      "parent"              , parent,...
      "style"               , "text",...
      "string"              , label,...
      "units"               , "pixels",...
      "position"            , [x y label_w label_h],....
      "fontname"            , defaultfont,...
      "fontunits"           , "points",...
      "fontsize"            , 12,...
      "horizontalalignment" , "left", ...
      "background"          , [1 1 1]*0.8, ...
      "visible"             , "on");
  Edit =uicontrol( ...
      "parent"              , parent,...
      "style"               , "edit",...
      "units"               , "pixels",...
      "position"            , [x+label_w+margin_x,y,edit_w,label_h],...
      "fontname"            , defaultfont,...
      "fontunits"           , "points",...
      "fontsize"            , 12,...
      "horizontalalignment" , "left", ...
      "BackgroundColor"     , [1 1 1], ...
      "ForegroundColor"     , [1 1 1]*0, ...
      "visible"             , "on")
endfunction
