// This file is part of the CardioVascular toolbox
// Copyright (C) 2012 - INRIA - Serge Steer
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
function Dframe=CreateFrame(parent,x,y,w,h,label)
    Dframe=uicontrol( ...
      "parent"              , parent,...
      "style"               , "frame",...
      "units"               , "pixels",...
      "position"            , [x y w h],....
      "fontname"            , defaultfont,...
      "fontunits"           , "points",...
      "fontsize"            , 12,...
      "fontWeight"          , "bold",...
      "horizontalalignment" , "center", ...
      "background"          , [1 1 1]*0.8, ...
      "visible"             , "on");
   Dlabel=uicontrol( ...
      "parent"              , Dframe,...
      "style"               , "text",...
      "string"              , label,...
      "units"               , "pixels",...
      "position"            , [margin_x h-label_h/2 100 label_h],....
      "fontname"            , defaultfont,...
      "fontunits"           , "points",...
      "fontsize"            , 12,...
      "fontWeight"          , "bold",...
      "horizontalalignment" , "left", ...
      "background"          , [1 1 1]*0.8, ...
      "visible"             , "on");
endfunction
