// This file is part of the CardioVascular toolbox
// Copyright (C) 2012 - INRIA - Serge Steer
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

function cleanmacros()
  libpath = get_absolute_file_path('cleanmacros.sce');

  binfiles = ls(libpath+'/*.bin');
  for i = 1:size(binfiles,'*')
    mdelete(binfiles(i));
  end

  mdelete(libpath+'/names');
  mdelete(libpath+'/lib');

  blockfiles = ls(libpath+'../images/h5/*.h5');
  for i = 1:size(blockfiles,'*')
    mdelete(blockfiles(i));
  end
endfunction

cleanmacros();
clear cleanmacros; // remove cleanmacros on stack
// ====================================================================
