CurPath=get_absolute_file_path("analyze_erreur_vs_fmin.sce");
FMIN= [0.005 0.01 0.03 0.1];
load(CurPath+'testSPWDpars3_sansbruit.dat')
scf(0);drawlater();clf;
ef=matrix(res(:,7),[5 5 6 7 4 2]);
ef1=matrix(permute(ef(:,:,:,:,:,1),[5,1:4]),4,-1);
ef2=matrix(permute(ef(:,:,:,:,:,2),[5,1:4]),4,-1);
ea=matrix(res(:,8),[5 5 6 7 4 2]);
ea1=matrix(permute(ea(:,:,:,:,:,1),[5,1:4]),4,-1);
ea2=matrix(permute(ea(:,:,:,:,:,2),[5,1:4]),4,-1);
;
subplot(221)
plot(FMIN,ef1)
ax=gca();ax.title.text='LF non bruité: erreur freq vs fmin';ax.x_label.text='fmin';ax.y_label.text='erreur';
subplot(222)
plot(FMIN,ef2)
ax=gca();ax.title.text='HF non bruité: erreur freq vs fmin';ax.x_label.text='fmin';ax.y_label.text='erreur';
subplot(223)
plot(FMIN,ea1)
ax=gca();ax.title.text='LF non bruité: erreur ampl vs fmin';ax.x_label.text='fmin';ax.y_label.text='erreur';
subplot(224)
plot(FMIN,ea2)
ax=gca();ax.title.text='HF non bruité: erreur ampl vs fmin';ax.x_label.text='fmin';ax.y_label.text='erreur';

drawnow; 

load(CurPath+'testSPWDpars3_avecbruit.dat')
scf(1);drawlater();clf;
ef=matrix(res(:,7),[5 5 6 7 4 2]);
ef1=matrix(permute(ef(:,:,:,:,:,1),[5,1:4]),4,-1);
ef2=matrix(permute(ef(:,:,:,:,:,2),[5,1:4]),4,-1);
ea=matrix(res(:,8),[5 5 6 7 4 2]);
ea1=matrix(permute(ea(:,:,:,:,:,1),[5,1:4]),4,-1);
ea2=matrix(permute(ea(:,:,:,:,:,2),[5,1:4]),4,-1);
subplot(221)
plot(FMIN,ef1)
ax=gca();ax.title.text='LF bruité: erreur freq vs fmin';ax.x_label.text='fmin';ax.y_label.text='erreur';
subplot(222)
plot(FMIN,ef2)
ax=gca();ax.title.text='HF bruité: erreur freq vs fmin';ax.x_label.text='fmin';ax.y_label.text='erreur';
subplot(223)
plot(FMIN,ea1)
ax=gca();ax.title.text='LF bruité: erreur ampl vs fmin';ax.x_label.text='fmin';ax.y_label.text='erreur';
subplot(224)
plot(FMIN,ea2)
ax=gca();ax.title.text='HF bruité: erreur ampl vs fmin';ax.x_label.text='fmin';ax.y_label.text='erreur';

drawnow; 
