// This file is part of the CardioVascular toolbox
// Copyright (C) 2012 - INRIA - Serge Steer
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
function List=CreateList(parent,x,y,label,callback)
  list_y=y-list_h;
  Label=uicontrol( ...
      "parent"              , parent,...
      "style"               , "text",...
      "string"              , label,...
      "units"               , "pixels",...
      "position"            , [x y list_w label_h],....
      "fontname"            , defaultfont,...
      "fontunits"           , "points",...
      "fontsize"            , 12,...
      "horizontalalignment" , "left", ...
      "background"          , [1 1 1]*0.8, ...
      "visible"             , "on");
  List =uicontrol( ...
      "parent"              , parent,...
      "style"               , "listbox",...
      "units"               , "pixels",...
      "position"            , [x,list_y,list_w,list_h],...
      "fontname"            , defaultfont,...
      "fontunits"           , "points",...
      "fontsize"            , 12,...
      "horizontalalignment" , "left", ...
      "BackgroundColor"     , [1 1 1], ...
      "ForegroundColor"     , [1 1 1]*0, ...
      "visible"             , "on", ...
      "callback"            , callback);
endfunction
