// This file is part of the CardioVascular toolbox
// Copyright (C) 2012 - INRIA - Serge Steer
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
function y=analytic_signal(x,hforder)
  //Builds the analytic signal y associated with the real signal x.
  h_delay=(hforder-1)/2;
  num=hilb(hforder,"hm",[0;0]);
  y=[zeros(1,h_delay) x]+...
    %i*[filter(num,1,x) zeros(1,h_delay)];
endfunction
