//compare the hilbert  and the analytic_signal functions
d=read("tests/data/input_dmc",-1,4)';
freq_sampling=4;
sig=d(1,:);

//narrow band filter
BP=wfir("bp",355,[0.2 0.4]/freq_sampling,"hm",[0  0]);
sig=filter(BP,1,sig);


hforder=67;d=(hforder-1)/2;
z1=hilbert(sig);
z2=analytic_signal(sig,hforder);

//extract comparable parts
z1=z1(1:$-d);
z2=z2(d+1:$-d);


scf(0);clf();
subplot(211)
plot(imag(z1));plot(imag(z2),'r')
subplot(212)

plot(abs(z1-z2))
