CurPath=get_absolute_file_path("analyze_erreur_vs_twl.sce");
load(CurPath+'testSPWDpars3_sansbruit.dat')
scf(0);drawlater();clf;
per=[2,1 3:5]
ef=matrix(res(:,7),[5 5 6 7 4 2]);
ef1=matrix(permute(ef(:,:,:,:,:,1),per),5,-1);
ef2=matrix(permute(ef(:,:,:,:,:,2),per),5,-1);
ea=matrix(res(:,8),[5 5 6 7 4 2]);
ea1=matrix(permute(ea(:,:,:,:,:,1),per),5,-1);
ea2=matrix(permute(ea(:,:,:,:,:,2),per),5,-1);


subplot(221)
plot(Twl,ef1)
ax=gca();ax.title.text='LF non bruité: erreur freq vs twl';ax.x_label.text='twl';ax.y_label.text='erreur';
subplot(222)
plot(Twl,ef2)
ax=gca();ax.title.text='HF non bruité: erreur freq vs twl';ax.x_label.text='twl';ax.y_label.text='erreur';
subplot(223)
plot(Twl,ea1)
ax=gca();ax.title.text='LF non bruité: erreur ampl vs twl';ax.x_label.text='twl';ax.y_label.text='erreur';
subplot(224)
plot(Twl,ea2)
ax=gca();ax.title.text='HF non bruité: erreur ampl vs twl';ax.x_label.text='twl';ax.y_label.text='erreur';

drawnow; 

load(CurPath+'testSPWDpars3_avecbruit.dat')
scf(1);drawlater();clf;
ef=matrix(res(:,7),[5 5 6 7 4 2]);
ef1=matrix(permute(ef(:,:,:,:,:,1),per),5,-1);
ef2=matrix(permute(ef(:,:,:,:,:,2),per),5,-1);
ea=matrix(res(:,8),[5 5 6 7 4 2]);
ea1=matrix(permute(ea(:,:,:,:,:,1),per),5,-1);
ea2=matrix(permute(ea(:,:,:,:,:,2),per),5,-1);
subplot(221)
plot(Twl,ef1)
ax=gca();ax.title.text='LF bruité: erreur freq vs twl';ax.x_label.text='twl';ax.y_label.text='erreur';
subplot(222)
plot(Twl,ef2)
ax=gca();ax.title.text='HF bruité: erreur freq vs twl';ax.x_label.text='twl';ax.y_label.text='erreur';
r=matrix(matrix(res(:,8),5,-1)',5,-1);
subplot(223)
plot(Twl,ea1)
ax=gca();ax.title.text='LF bruité: erreur ampl vs twl';ax.x_label.text='twl';ax.y_label.text='erreur';
subplot(224)
plot(Twl,ea2)
ax=gca();ax.title.text='HF bruité: erreur ampl vs twl';ax.x_label.text='twl';ax.y_label.text='erreur';

drawnow; 
